# $Revision: 1.71 $, $Date: 2010/09/30 14:01:14 $
Summary:	GNOME screensaver
Summary(pl.UTF-8):	Wygaszacz ekranu GNOME
Name:		gnome-screensaver
Version:	2.30.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-screensaver/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	0fbe6e610e6847ac1e69d49b1e1f0582
Source1:	%{name}.pamd
Source2:	%{name}-xscreensaver.tar.gz
# Source2-md5:	58ad753724418430fa93f02558056eab
URL:		http://live.gnome.org/GnomeScreensaver
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-desktop-devel >= 2.30.0
BuildRequires:	gnome-menus-devel >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgnomekbd-devel >= 2.26.0
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXScrnSaver-devel
Requires(post,preun):	GConf2
Requires:	xdg-menus
Obsoletes:	xscreensaver-gnome2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A new screensaver solution for GNOME, with better HIG dialogs and a
much better integration into the desktop than the old xscreensaver.

%description -l pl.UTF-8
Nowe rozwiązanie wygaszcza ekranu dla GNOME, z bardziej zgodnymi z HIG
dialogami i lepszą integracją z desktopem niż stary xscreensaver.

%package xscreensaver
Summary:	Support for xscreensaver
Summary(pl.UTF-8):	Wsparcie dla xscreensavera
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	xscreensaver-savers

%description xscreensaver
Support for xscreensaver.

%description xscreensaver -l pl.UTF-8
Wsparcie dla xscreensavera.

%prep
%setup -q -a2
sed -i s#^en@shaw## po/LINGUAS
rm po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pam \
	--enable-locking \
	--with-dpms-ext \
	--with-mit-ext \
	--with-shadow \
	--with-xf86gamma-ext \
	--with-xf86vmode-ext \
	--with-xidle-ext \
	--with-xinerama-ext \
	--with-xscreensaverdir=%{_datadir}/xscreensaver \
	--with-xscreensaverhackdir=%{_libdir}/xscreensaver \
	--with-gdm-config=%{_datadir}/gdm/defaults.conf \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/gnome-screensaver

_DIR=$(pwd)
cd %{name}-xscreensaver
# this one is provided by gnome-screensaver
rm -f popsquares.desktop
install * $RPM_BUILD_ROOT%{_desktopdir}/screensavers
echo '%defattr(644,root,root,755)' > $_DIR/xscreensaver.files
for I in *; do
	echo "%{_desktopdir}/screensavers/$I" >> $_DIR/xscreensaver.files
done
cd $_DIR

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-screensaver.schemas

%preun
%gconf_schema_uninstall gnome-screensaver.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/gnome-screensaver
%attr(755,root,root) %{_bindir}/gnome-screensaver
%attr(755,root,root) %{_bindir}/gnome-screensaver-command
%attr(755,root,root) %{_bindir}/gnome-screensaver-preferences
%dir %{_libdir}/gnome-screensaver
%attr(755,root,root) %{_libdir}/gnome-screensaver/floaters
%attr(755,root,root) %{_libdir}/gnome-screensaver/popsquares
%attr(755,root,root) %{_libdir}/gnome-screensaver/slideshow
%attr(755,root,root) %{_libdir}/gnome-screensaver-dialog
%attr(755,root,root) %{_libdir}/gnome-screensaver-gl-helper
%{_datadir}/%{name}
%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_datadir}/backgrounds/cosmos
%{_datadir}/dbus-1/services/org.gnome.ScreenSaver.service
%{_datadir}/gnome-background-properties/cosmos.xml
%dir %{_desktopdir}/screensavers
%{_desktopdir}/screensavers/cosmos-slideshow.desktop
%{_desktopdir}/screensavers/footlogo-floaters.desktop
%{_desktopdir}/screensavers/personal-slideshow.desktop
%{_desktopdir}/screensavers/popsquares.desktop
%{_desktopdir}/gnome-screensaver-preferences.desktop
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/gnome-screensaver.schemas
%{_sysconfdir}/xdg/autostart/gnome-screensaver.desktop
%{_sysconfdir}/xdg/menus/gnome-screensavers.menu
%{_pkgconfigdir}/gnome-screensaver.pc
%{_mandir}/man1/gnome-screensaver.1*
%{_mandir}/man1/gnome-screensaver-command.1*
%{_mandir}/man1/gnome-screensaver-preferences.1*

%files xscreensaver -f xscreensaver.files
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-screensaver.spec,v $
Revision 1.71  2010/09/30 14:01:14  megabajt
- updated to 2.30.2

Revision 1.70  2010/04/02 17:26:57  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.69  2010/03/30 09:22:39  hawk
- release 2

Revision 1.68.2.2  2010/02/26 20:22:09  patrys
- drop en@shaw

Revision 1.68.2.1  2010/02/26 20:16:11  patrys
- 2.29.91

Revision 1.68  2010/02/13 00:45:17  sparky
- dropped unused BR: libglade2-devel, xmlto, xorg-lib-libXmu-devel

Revision 1.67  2010/02/12 22:33:57  megabajt
- updated to 2.28.3 [fixes CVE-2010-0422]

Revision 1.66  2010/02/10 11:29:34  megabajt
- updated to 2.28.2 [fixes CVE-2010-0414]

Revision 1.65  2010/02/03 23:34:12  megabajt
- updated to 2.28.1

Revision 1.64  2010/01/14 13:43:27  hawk
- release 2

Revision 1.63  2009/09/26 21:35:27  patrys
- merged from DEVEL

Revision 1.62.2.2  2009/09/26 21:34:43  patrys
- 2.28.0

Revision 1.62.2.1  2009/06/16 17:26:15  patrys
- 2.27.0

Revision 1.62  2009/04/14 17:55:05  megabajt
- updated to 2.26.1

Revision 1.61  2009/03/18 19:02:27  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.60  2009/03/18 13:16:52  patrys
- rel 2

Revision 1.59.2.1  2009/03/15 21:06:50  patrys
- 2.25.2

Revision 1.59  2008/11/17 14:02:43  megabajt
- updated to 2.24.1
- removed -desktop.patch (applied upstream)

Revision 1.58  2008/09/27 21:56:31  megabajt
- merged from DEVEL

Revision 1.57.2.6  2008/09/27 21:05:09  qwiat
- up to 2.24

Revision 1.57.2.5  2008/09/13 13:24:05  patrys
- add bugzilla link

Revision 1.57.2.4  2008/09/13 13:23:37  patrys
- drop X-Capplet (fix applnk, not GNOME, DesktopSettings is correct)

Revision 1.57.2.3  2008/08/31 13:00:26  patrys
- 2.23.90

Revision 1.57.2.2  2008/07/23 15:11:28  patrys
- 2.23.3

Revision 1.57.2.1  2008-05-14 14:19:53  patrys
- 2.23.2

Revision 1.57  2008-04-11 20:24:59  sls
- ver. 2.22.2

Revision 1.56  2008-04-03 03:45:41  sls
- drop Pashto locale for now (copyright by patrys@rhythmbox.spec)

Revision 1.55  2008-04-02 18:25:42  megabajt
- updated to 2.22.1 [CVE-2008-0887]

Revision 1.54  2008-03-12 09:55:01  patrys
- rebuild with new libxklavier

Revision 1.53  2008-03-12 00:43:51  patrys
- 2.22.0
- merged from DEVEL

Revision 1.51.2.4  2008-03-12 00:42:18  patrys
- 2.22.0

Revision 1.51.2.3  2008-03-03 22:57:42  megabajt
- updated deps
- more verbose files

Revision 1.52  2008-02-08 20:19:25  hawk
- release 3

Revision 1.51.2.2  2008-02-05 02:27:06  patrys
- proper epoch on glib2

Revision 1.51.2.1  2008-02-05 01:04:41  patrys
- 2.21.6

Revision 1.51  2007-11-04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.50  2007/09/18 17:47:48  patrys
- 2.20.0

Revision 1.49.2.1  2007/08/29 01:48:20  patrys
- 2.19.7

Revision 1.49  2007/05/31 18:17:59  megabajt
- updated to 2.18.2

Revision 1.48  2007/04/10 06:34:34  megabajt
- updated to 2.18.1

Revision 1.47  2007/03/15 09:33:23  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.22.2.9  2007/03/08 18:39:50  megabajt
- updated deps

Revision 1.22.2.8  2007/03/04 22:49:44  patrys
- 2.17.8

Revision 1.46  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.22.2.7  2007/02/12 13:20:13  baggins
- converted to UTF-8

Revision 1.45  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.44  2007/02/01 15:12:45  megabajt
- updated to 2.16.3

Revision 1.43  2006/12/26 19:47:27  megabajt
- up to 2.16.2

Revision 1.42  2006/10/04 20:28:56  grzegol
- 2.16.1

Revision 1.41  2006/09/05 21:14:51  grzegol
- 2.16.0

Revision 1.40  2006/08/30 17:51:42  havner
- proper paths for XSS (it doesn't seem to be using them anyway)

Revision 1.39  2006/08/22 20:52:53  grzegol
- added .pc file, rel. 2

Revision 1.38  2006/08/22 17:27:40  freetz
- 2.15.7

Revision 1.37  2006/08/12 09:38:45  ankry
- formatting

Revision 1.36  2006/08/10 20:36:30  qboosh
- pl fix

Revision 1.35  2006/08/10 19:47:52  freetz
- don't package files twice, rel.2

Revision 1.34  2006/08/10 18:39:22  freetz
- adapted to HEAD version

Revision 1.33  2006/08/10 18:23:12  freetz
- missing files section added

Revision 1.32  2006/08/10 18:17:01  freetz
- 2.15.6, merged havner's masterpiece from AC-branch, you rule dude!

Revision 1.31  2006/08/08 17:12:41  havner
- O: xscreensaver-gnome2

Revision 1.30  2006/07/26 18:44:19  freetz
- 2.15.5

Revision 1.29  2006/07/14 14:55:33  freetz
- 2.15.4, updated BR/file list, --as-needed support

Revision 1.28  2006/06/12 19:28:13  freetz
- 2.15.3, update BR

Revision 1.27  2006/06/10 21:07:02  freetz
- cleanup

Revision 1.26  2006/06/10 21:06:41  freetz
- 2.15.2, GNOME 2.15.x deps, updated file list

Revision 1.25  2006/06/06 13:32:53  qboosh
- merged update to 2.14.2 from AC-branch

Revision 1.24  2006/05/27 00:23:41  qboosh
- merged deps update from AC-branch

Revision 1.23.2.3  2006/05/18 22:24:27  baggins
- release 3
- strict reqs

Revision 1.23.2.2  2006/05/15 17:54:34  baggins
- rel 2
- fixed BRs

Revision 1.23.2.1  2006/05/15 16:34:38  baggins
- from HEAD

Revision 1.23  2006/04/10 19:48:10  freetz
- merged from DEVEL and updated to 2.14.1

Revision 1.22.2.6  2006/03/13 15:16:58  freetz
- 2.14.0

Revision 1.22.2.5  2006/02/27 21:05:54  freetz
- 2.13.92, fixed gdm config location

Revision 1.22.2.4  2006/02/15 08:18:23  freetz
- 2.13.91

Revision 1.22.2.3  2006/01/31 15:28:04  freetz
- updated BR

Revision 1.22.2.2  2006/01/31 15:18:03  freetz
- 2.13.90

Revision 1.22.2.1  2006/01/26 13:33:31  patrys
- up to 2.13.5

Revision 1.22  2006/01/06 22:14:42  freetz
- 0.0.24

Revision 1.21  2005/12/21 22:22:46  patrys
- up to 0.0.23

Revision 1.20  2005/12/21 22:04:34  patrys
- pass xscreensaver path to configure

Revision 1.19  2005/12/15 16:34:50  freetz
- 0.0.22

Revision 1.18  2005/11/15 22:59:11  freetz
- 0.0.20

Revision 1.17  2005/11/15 19:12:57  paladine
- updated to 0.0.19

Revision 1.16  2005/11/06 10:54:22  freetz
- 0.0.18

Revision 1.15  2005/10/30 20:12:32  paladine
- updated to 0.0.17

Revision 1.14  2005/10/19 21:06:08  qboosh
- kill no locale
- safer libdir entries in files

Revision 1.13  2005/10/18 23:12:40  paladine
- fixed %%files

Revision 1.12  2005/10/18 23:04:30  patrys
- added BR: gnome-menus-devel

Revision 1.11  2005/10/13 20:07:05  freetz
- 0.0.16, more dirs

Revision 1.10  2005/09/30 00:09:11  patrys
- addedd missing BR:

Revision 1.9  2005/09/16 07:38:35  paladine
- updated to 0.0.13
- added xscreensaver patch (don't require xscreensaver at build time but
  use it at runtime if it's available)

Revision 1.8  2005/09/07 19:13:46  paladine
- updated to 0.0.12

Revision 1.7  2005/09/06 20:36:27  paladine
- updated to 0.0.11

Revision 1.6  2005/08/31 17:15:07  paladine
- updated to 0.0.10 (bug fixes, enable/disable locking)

Revision 1.5  2005/08/24 16:15:41  paladine
- updated to 0.0.9 (new themes)
- added cosmos_theme_dir patch
- sorted %%files
- itemize schemas

Revision 1.4  2005/07/27 20:04:54  qboosh
- sorted verify() flags, no need for default attr

Revision 1.3  2005/07/26 20:10:43  paladine
- reverted last change and added missing BR: pam-devel, thx freetz ;)

Revision 1.2  2005/07/26 19:38:43  paladine
- missing dir

Revision 1.1  2005/07/26 18:00:48  freetz
- initial
